REST APIOrganizationEnterprise Management

POST

Add a user to an enterprise within an organization

Add an existing user to an enterprise under the specified organization.

Path Params

  • organizationId string required

    matches ^[0-9a-f]{32}$

  • enterpriseId string required

    matches ^[0-9a-f]{32}$

Body Params

object

  • email string required

    at least 1 characters

  • permissions array of string enums
    adminauditorwallet.create

Responses

200
OK

Response Body

object

  • userId string required

    at least 1 characters

400
Bad Request

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
403
Forbidden

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
404
Not Found

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
409
Conflict

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
500
Internal Server Error

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id